Bug 536935 - abrt won't report bugs as root
Summary: abrt won't report bugs as root
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-11 20:13 UTC by Zack Cerza
Modified: 2015-02-01 22:49 UTC (History)
9 users (show)

Fixed In Version: 1.0.0-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 04:38:22 UTC


Attachments (Terms of Use)

Description Zack Cerza 2009-11-11 20:13:55 UTC
Since abrt won't show crashes for things like wpa_supplicant unless you run it as root, I periodically run 'sudo abrt-gui' to check for them. In abrt-0.0.11-1.fc12, when I try to report such bugs, abrt prompts me for my bugzilla login credentials. After I enter them and submit, I get the following error message:

"Empty login and password. Please check Bugzilla.conf"

Perhaps abrt should be using PolicyKit or something? Seems like that could clear up a lot of issues with root vs. non-root and access to the keyring daemon.

Comment 1 Gene Czarcinski 2009-11-12 20:19:44 UTC
I am also having this problem with abrt ... both abrt-gui and abrt-cli

I have filled in my BZ id and password in /etc/abrt/plugins/Bugzilla.conf but that makes no difference.

Unless and until I can report all bugs as a non-root user, root needs to be able to report bugs.

THIS IS NOT PRIORITY LOW!

Comment 2 Jiri Moskovcak 2009-11-22 19:32:51 UTC
Fixed in git.

Comment 3 Fedora Update System 2009-11-22 20:44:42 UTC
abrt-1.0.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/abrt-1.0.0-1.fc12

Comment 4 Fedora Update System 2009-11-25 15:10:44 UTC
abrt-1.0.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update abrt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12098

Comment 5 Fedora Update System 2009-12-01 04:37:27 UTC
abrt-1.0.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.